nix3-hash(1)

    Warning
    This program is experimental and its interface is subject to change.

Name
nix hash - compute and convert cryptographic hashes

Synopsis
nix hash [option…] subcommand

where subcommand is one of the following:

•   nix hash file - print cryptographic hash of a regular file

•   nix hash path - print cryptographic hash of the NAR serialisation of a path

•   nix hash to-base16 - convert a hash to base-16 representation

•   nix hash to-base32 - convert a hash to base-32 representation

•   nix hash to-base64 - convert a hash to base-64 representation

•   nix hash to-sri - convert a hash to SRI representation